#include <cmath>
#include <cstdio>
#include <iostream>

using namespace std;

int n, k, x;
double s;

int main()
{
  freopen( "porez.in", "r", stdin );
  freopen( "porez.out", "w", stdout );
  scanf( "%d %d", &n, &k );
  for ( int i = 0; i < n; i++ ) scanf( "%d", &x ), s += x;
  cout << ceil( s / k ) << endl;
  return 0;
}
